DWXE(4)

NAME
dwxe - Allwinner EMAC 10/100/1Gb Ethernet device

SYNOPSIS
dwxe* at fdt?
rgephy* at mii?

DESCRIPTION
The dwxe driver provides support for various Ethernet controllers based on the Allwinner EMAC. These controllers are found on the Allwinner A64/H3/H5/H6/H616 SoCs.

The dwxe driver supports several media types, which are selected via the ifconfig(8) command. The supported media types are:

media autoselect
    Attempt to autoselect the media type (default)

media 1000baseT mediaopt full-duplex
    Use 1000baseT on copper, full duplex

media 1000baseT mediaopt half-duplex
    Use 1000baseT on copper, half duplex

media 100baseTX mediaopt full-duplex
    Use 100baseTX, full duplex

media 100baseTX mediaopt half-duplex
    Use 100baseTX, half duplex

SEE ALSO
arp(4), ifmedia(4), inet(4), intro(4), netintro(4), rgephy(4), hostname.if(5), ifconfig(8)

HISTORY
OpenBSD support for dwxe first appeared in OpenBSD 6.2.

AUTHORS
-nosplit The dwxe driver was written by Patrick Wildt <patrick@openbsd.org>.